Is CIS compatible with.....

I have the new IE 8, is it compatible for CIS? Requirements state IE7.

It is compatible. I myself use IE8, but use IE7 compatibility to display the web pages.